
D4Science Infrastructure - VM Creation #10387

Please create a VM to host parthenos-regsitry for pre-production infrastructure

Nov 21, 2017 03:56 PM - Luca Frosini

Status: Closed Start date: Nov 21, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Resource Provisioning   

Infrastructure: Pre-Production Applications list and

version:

resource-registry (see

resource-registry-parthenos ansible

playbook)

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/preprod

/gcube/preprod/preVRE

  

Description

This ticket has been recreated because I deleted the ticket #10305 for mistake

History

#1 - Nov 21, 2017 03:59 PM - Luca Frosini

- Status changed from In Progress to Closed

Sorry for the mistake.

#2 - Nov 21, 2017 04:01 PM - Luca Frosini

- Status changed from Closed to In Progress

#4 - Nov 21, 2017 04:08 PM - Luca Frosini

- % Done changed from 0 to 30

Issue #10305 has been updated by Tommaso Piccioli.

Status changed from New to In Progress

% Done changed from 0 to 30

NeVM name is registry-t-parthenos.d4science.org

#5 - Nov 21, 2017 04:10 PM - Luca Frosini

You can configure the servive to use the dev instance of orientdb.

In the config file you have to use the root password of dev instance. Generate new passwwords for admin adn users. Moreover the name of the db

could be:  joint-rr-preprod

#6 - Nov 21, 2017 07:32 PM - Andrea Dell'Amico

The deploy fails with the following exception:
2017-11-21 19:30:29,757 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Error during S

ervletContainerInitializer processing

javax.servlet.ServletException: cannot manage application @ /resource-registry (see cause)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:71)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

    at java.util.concurrent.FutureTask.run(FutureTask.java:266)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

    at java.lang.Thread.run(Thread.java:748)

Caused by: java.lang.NullPointerException

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:132)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61)

    ... 12 more

2017-11-21 19:30:29,763 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Context [/reso

urce-registry] startup failed due to previous errors

 @luca.frosini@isti.cnr.it can you investigate?

#7 - Nov 24, 2017 04:47 PM - Luca Frosini

@lucio.lelii@isti.cnr.it can you investigate too?

#8 - Nov 24, 2017 05:15 PM - Luca Frosini

We think that the problem is in the configuration because also the version up and running in production has the same errors. Lucio and me are

investigating

#9 - Nov 24, 2017 06:00 PM - Luca Frosini

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

The problem was on the gcube-app.xml configuration file which has a wrong tag name.

@lucio.lelii@isti.cnr.it help me to find the masqueraded exception.

@andrea.dellamico@isti.cnr.it has fixed ansible configuration.

It seem working now. I'm going to close the ticket.

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 2/2

http://www.tcpdf.org

